metadata:
  name: qcomlt-test-plan-oe-rb5-linux
  description: Qualcomm Robotics RB5 platform Test Plan
  os: openembedded
  devices:
    - qrb5165-rb5
  maintainer:
    - anibal.limon@linaro.org
    - nicolas.dechesne@linaro.org
  approver:
    - nicolas.dechesne@linaro.org
  owner:
    - Nicolas Dechesne
  format: Linaro Test Plan v2
  version: 0.1

tests:
  automated:
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/smoke/smoke.yaml
      parameters:
              TESTS: pwd, uname -a, ip a, vmstat, lsblk
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/usb-smoke/usb-smoke-test.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/toolchain-smoke/toolchain-smoke.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/device-tree/device-tree.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/meminfo/meminfo.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/dd-wr-speed/dd-wr-speed.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/sysbench/sysbench.yaml
      parameters:
              NUM_THREADS: 4
              TESTS: cpu memory threads mutex
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/device-read-perf/device-read-perf.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/hackbench/hackbench.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/linpack/linpack.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/openssl/openssl-speed.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/stream/stream-uniprocessor.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/pi-stress/pi-stress.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/pm-qa/pm-qa.yaml
      parameters:
        TESTS: cpufreq cpuidle cpuhotplug cputopology
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/docker/docker.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/wlan-smoke/wlan-smoke.yaml
      parameters:
        DEVICE: wlp1s0
      timeout: 300
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/wlan-download/wlan-download.yaml
      parameters:
        DEVICE: wlan0
        ETHERNET_DEVICE: eth0
        SSID_NAME: LAVATESTX
        SSID_PASSWORD: NepjqGbq
        FILE_URL: http://testdata.validation.linaro.org/stress/stress-network.img
        FILE_CHECKSUM: e5c834fbdaa6bfd8eac5eb9404eefdd4
        TIME_DELAY: 0s
      timeout: 1200
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/hci-smoke/hci-smoke.yaml
      parameters:
              BOOT: auto
      timeout: 300
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/bootrr/bootrr.yaml
      parameters:
              BOARD: qcom,qrb5165-rb5
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/glmark2/glmark2.yaml
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/piglit/piglit.yaml
      params:
        OPTIONS: "-l dummy -x streaming-texture-leak -x glx -x tex3d-maxsize -x max-texture-size -1"
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/gst-validate/gst-validate.yaml
      params:
        GST_IGNORE_TESTS_REPO: TBD
        GST_IGNORE_TESTS_FILE: TBD
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/ptest/ptest.yaml
      params:
        EXCLUDE: bluez5 libxml2 parted python strace
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/24h-stress-test/24h-stress-test.yaml
      name: 24h-stress-test-ng
      params:
        TEST: "stress_ng"
        DURATION: "5400"
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/24h-stress-test/24h-stress-test.yaml
      name: 24h-stress-test-oom
      params:
        TEST: "stress_oom"
        DURATION: "5400"
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/24h-stress-test/24h-stress-test.yaml
      name: 24h-stress-test-network
      params:
        TEST: "stress_network"
        DURATION: "5400"
        INTERFACE: eth0
        LINK: "http://testdata.validation.linaro.org/stress/stress-network.img"
        MD5: "e5c834fbdaa6bfd8eac5eb9404eefdd4"
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/v4l2/v4l2-compliance.yaml
      name: v4l2-compliance-encoder
      params:
        VIDEO_DEVICE: /dev/video0
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/v4l2/v4l2-compliance.yaml
      name: v4l2-compliance-decoder
      params:
        VIDEO_DEVICE: /dev/video1
    - repository: https://github.com/Linaro/test-definitions
      from: git
      path: automated/linux/deqp-runner/deqp-runner.yaml
      params:
        DEQP_BIN: "/usr/lib/opengl-es-cts/deqp-gles2"
        DEQP_EXCLUDE: "--exclude-tests dEQP-GLES2.performance.*"
        DEQP_RUNNER_JOBS: "--job 1"
  manual:
    - path: manual/generic/serial-console.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/primary-video-out-hdmi.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/hdmi-input-switch.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/hdmi-resolution-switching-cmd.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/hdmi-resolution-switching.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-keyboard.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-storage.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/usb-camera.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/wifi.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/bluetooth-scan.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/bluetooth-pair.yaml
      repository: https://github.com/Linaro/test-definitions
    - path: manual/generic/linux/bluetooth-audio.yaml
      repository: https://github.com/Linaro/test-definitions
